Skip to main content
GET
/
v1
/
via
/
mandates
/
{mandateId}
/
vc
Get W3C VC
curl --request GET \
  --url https://api.example.com/v1/via/mandates/{mandateId}/vc \
  --header 'Authorization: Bearer <token>'
{
  "@context": [
    "https://www.w3.org/ns/credentials/v2",
    "https://humanos.id/schemas/mandate/v1"
  ],
  "id": "https://humanos.id/credentials/mdt_abc123",
  "type": [
    "VerifiableCredential",
    "MandateCredential"
  ],
  "issuer": {
    "id": "did:web:humanos.id",
    "name": "Humanos Verified Intent Approval"
  },
  "validFrom": "2025-11-17T00:00:00Z",
  "validUntil": "2026-11-17T00:00:00Z",
  "credentialSubject": {
    "id": "did:key:z6MkUserExample123",
    "mandate": {
      "mandateId": "mdt_abc123",
      "scope": "payments.hotel",
      "authorizedAgents": [],
      "constraints": {}
    }
  },
  "proof": {
    "type": "DataIntegrityProof",
    "cryptosuite": "ecdsa-2019",
    "created": "2025-11-17T00:00:00Z",
    "verificationMethod": "did:web:humanos.id#key-1",
    "proofPurpose": "assertionMethod",
    "proofValue": "z..."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mandateId
string
required

Unique mandate identifier

Example:

"mdt_abc123xyz"

Query Parameters

version
enum<string>

W3C VC specification version

Available options:
1.1,
2.0

Response

Verifiable Credential returned successfully

@context
string[]
required

JSON-LD context

Example:
[
  "https://www.w3.org/ns/credentials/v2",
  "https://humanos.id/schemas/mandate/v1"
]
id
string
required

Credential ID

Example:

"https://humanos.id/credentials/mdt_abc123"

type
string[]
required

Credential types

Example:
["VerifiableCredential", "MandateCredential"]
issuer
object
required

Issuer information

Example:
{
  "id": "did:web:humanos.id",
  "name": "Humanos Verified Intent Approval"
}
validFrom
string
required

Valid from timestamp

Example:

"2025-11-17T00:00:00Z"

validUntil
string
required

Valid until timestamp

Example:

"2026-11-17T00:00:00Z"

credentialSubject
object
required

Credential subject containing the mandate

Example:
{
  "id": "did:key:z6MkUserExample123",
  "mandate": {
    "mandateId": "mdt_abc123",
    "scope": "payments.hotel",
    "authorizedAgents": [],
    "constraints": {}
  }
}
proof
object
required

Cryptographic proof (Data Integrity Proof)

Example:
{
  "type": "DataIntegrityProof",
  "cryptosuite": "ecdsa-2019",
  "created": "2025-11-17T00:00:00Z",
  "verificationMethod": "did:web:humanos.id#key-1",
  "proofPurpose": "assertionMethod",
  "proofValue": "z..."
}